# auto generated content from camera configuration
from lib.controller import *
import fischertechnik.factories as txt_factory

TXT_M_USB1_1_camera.set_rotate(False)
TXT_M_USB1_1_camera.set_height(240)
TXT_M_USB1_1_camera.set_width(320)
TXT_M_USB1_1_camera.set_fps(15)
TXT_M_USB1_1_camera.start()

ball_detector = txt_factory.camera_factory.create_ball_detector(0, 0, 320, 240, 5, 80, -100, 100, [223,151,123], 20)
TXT_M_USB1_1_camera.add_detector(ball_detector)

blocked_area_right = txt_factory.camera_factory.create_blocked_area(240, 190, 80, 50)
TXT_M_USB1_1_camera.add_blocked_area(blocked_area_right)

blocked_area_left = txt_factory.camera_factory.create_blocked_area(0, 190, 80, 50)
TXT_M_USB1_1_camera.add_blocked_area(blocked_area_left)

ball_detector_goal_right = txt_factory.camera_factory.create_ball_detector(0, 70, 320, 120, 10, 120, -100, 100, [183,137,26], 20)
TXT_M_USB1_1_camera.add_detector(ball_detector_goal_right)

ball_detector_goal_left = txt_factory.camera_factory.create_ball_detector(0, 70, 320, 120, 10, 120, -100, 100, [109,152,108], 20)
TXT_M_USB1_1_camera.add_detector(ball_detector_goal_left)

